PDA

View Full Version : How to install 4.2.1 but not 4.3


DaMob
Jun 9, 2011, 08:59 AM
Hi

I'm looking to jailbreak 4.2.1 with greenpoison, but as I am currently on 4.0 I have to update.

Is there any way to force iTunes to install 4.2.1 instead of the latest firmware? I always get the error that it's not eligible...

Thanks

CPancake
Jun 9, 2011, 01:45 PM
Download the 4.2.1 ipsw file
http://www.ihackintosh.com/2010/11/download-ios-4-2-1-for-iphone-ipod-and-ipad/
Then, shift click on the update button on itunes, select the 4.2.1 file, and it will update.

DaMob
Jun 9, 2011, 03:43 PM
That's what I did, but then I always got the "eligible" error.

Night Spring
Jun 9, 2011, 03:54 PM
That's what I did, but then I always got the "eligible" error.

If you did not save the SHSH for older firmware, then the only thing you can install is the latest firmware, presently 4.3.3.

If you are asking "What is SHSH?" then it's too late to save it. For future reference, google "tinyumbrella" and download it, and get in the habit of saving SHSH every time a new firmware is released.

In any case, I'm not sure there is any advantage to installing 4.2.1, as I believe 4.3.3 is fully jailbreakable on all models of iPod touch.

DaMob
Jun 9, 2011, 05:45 PM
O really? With what program then? And is it untethered?

CPancake
Jun 9, 2011, 08:13 PM
O really? With what program then? And is it untethered?

RedSn0w untethered. (http://www.redmondpie.com/jailbreak-4.3.3-untethered-iphone-4-3gs-ipad-ipod-touch-using-redsn0w-tutorial/)

DaMob
Jun 10, 2011, 03:12 AM
And this is for the latest firmware? So I can just click update in iTunes and then do Redsnow?

DaMob
Jun 10, 2011, 07:03 AM
Solved it.

Thanks for the help!